%define        __spec_install_post %{nil}
%define          debug_package %{nil}
%define        __os_install_post %{_dbpath}/brp-compress
#
# Opt Style Package.
%define	_prefix /usr/local

Summary: Sync Oracle Configuration files
Name: upenn-sync-oracle-configs
Vendor: UPENN
Version: 1.2
Release: 1
License: Apache
Group: Development/Tools
Source: sync-oracle-configs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Prefix: %{_prefix}
Requires: oracle-instantclient-basic

%description
This script automates updating of upenn oracle configuration

%prep
%setup -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}/bin
cp bin/* %{buildroot}/%{_prefix}/bin

%post
%{_prefix}/bin/sync-oracle-configs --ldconf --profile --tns

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_prefix}/bin/*

%changelog
* Wed Apr 14 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 1.2-1
- Added a post instrall trigger to fix ORACLE_HOME, tnsnames.ora, and ld.so.conf
* Wed Apr 13 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 1.1-1
- First attempt to package.
